package com.ztmap.project.zhny.strategycondition.domain;

import com.ztmap.project.zhny.strategytarget.domain.TStrategyTarget;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

import java.util.List;

/**
 * 策略条件对象 t_strategy_condition
 * 
 * @author ztmap
 * @date 2023-10-11
 */
public class TStrategyCondition
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 策略编号 */
    @Excel(name = "策略编号")
    private Long strategyId;

    /** 条件1 */
    @Excel(name = "条件1")
    private String conditionParams;

    /** 条件类型1（1：大于 2：小于 3：等于 4：区间） */
    @Excel(name = "条件类型1", readConverterExp = "1=：大于,2=：小于,3=：等于,4=：区间")
    private Long conditionType;

    /** 目标条件1 */
    @Excel(name = "目标条件1")
    private String targetCondition;

    /** 条件2 */
    @Excel(name = "条件2")
    private String conditionParams2;

    /** 条件类型2（1：大于 2：小于 3：等于 4：区间） */
    @Excel(name = "条件类型2", readConverterExp = "1=：大于,2=：小于,3=：等于,4=：区间")
    private Long conditionType2;

    /** 目标条件2 */
    @Excel(name = "目标条件2")
    private String targetCondition2;

    /** 条件3 */
    @Excel(name = "条件3")
    private String conditionParams3;

    /** 条件类型3（1：大于 2：小于 3：等于 4：区间） */
    @Excel(name = "条件类型3", readConverterExp = "1=：大于,2=：小于,3=：等于,4=：区间")
    private Long conditionType3;

    /** 目标条件3 */
    @Excel(name = "目标条件3")
    private String targetCondition3;

    /** 条件1 **/
    private Long qufen;
    private Long condition_field1;
    private Long condition_field_type1;
    private Long condition_field2;
    private Long condition_field_type2;
    private Long condition_field3;
    private Long condition_field4;
    /** 条件2 **/
    private Long qufen2;
    private Long condition2_field1;
    private Long condition2_field_type1;
    private Long condition2_field2;
    private Long condition2_field_type2;
    private Long condition2_field3;
    private Long condition2_field4;

    /** 条件2 **/
    private Long qufen3;
    private Long condition3_field1;
    private Long condition3_field_type1;
    private Long condition3_field2;
    private Long condition3_field_type2;
    private Long condition3_field3;
    private Long condition3_field4;

    public Long getQufen() {
        return qufen;
    }

    public void setQufen(Long qufen) {
        this.qufen = qufen;
    }

    public Long getCondition_field1() {
        return condition_field1;
    }

    public void setCondition_field1(Long condition_field1) {
        this.condition_field1 = condition_field1;
    }

    public Long getCondition_field_type1() {
        return condition_field_type1;
    }

    public void setCondition_field_type1(Long condition_field_type1) {
        this.condition_field_type1 = condition_field_type1;
    }

    public Long getCondition_field2() {
        return condition_field2;
    }

    public void setCondition_field2(Long condition_field2) {
        this.condition_field2 = condition_field2;
    }

    public Long getCondition_field_type2() {
        return condition_field_type2;
    }

    public void setCondition_field_type2(Long condition_field_type2) {
        this.condition_field_type2 = condition_field_type2;
    }

    public Long getCondition_field3() {
        return condition_field3;
    }

    public void setCondition_field3(Long condition_field3) {
        this.condition_field3 = condition_field3;
    }

    public Long getCondition_field4() {
        return condition_field4;
    }

    public void setCondition_field4(Long condition_field4) {
        this.condition_field4 = condition_field4;
    }

    public Long getQufen2() {
        return qufen2;
    }

    public void setQufen2(Long qufen2) {
        this.qufen2 = qufen2;
    }

    public Long getCondition2_field1() {
        return condition2_field1;
    }

    public void setCondition2_field1(Long condition2_field1) {
        this.condition2_field1 = condition2_field1;
    }

    public Long getCondition2_field_type1() {
        return condition2_field_type1;
    }

    public void setCondition2_field_type1(Long condition2_field_type1) {
        this.condition2_field_type1 = condition2_field_type1;
    }

    public Long getCondition2_field2() {
        return condition2_field2;
    }

    public void setCondition2_field2(Long condition2_field2) {
        this.condition2_field2 = condition2_field2;
    }

    public Long getCondition2_field_type2() {
        return condition2_field_type2;
    }

    public void setCondition2_field_type2(Long condition2_field_type2) {
        this.condition2_field_type2 = condition2_field_type2;
    }

    public Long getCondition2_field3() {
        return condition2_field3;
    }

    public void setCondition2_field3(Long condition2_field3) {
        this.condition2_field3 = condition2_field3;
    }

    public Long getCondition2_field4() {
        return condition2_field4;
    }

    public void setCondition2_field4(Long condition2_field4) {
        this.condition2_field4 = condition2_field4;
    }

    public Long getQufen3() {
        return qufen3;
    }

    public void setQufen3(Long qufen3) {
        this.qufen3 = qufen3;
    }

    public Long getCondition3_field1() {
        return condition3_field1;
    }

    public void setCondition3_field1(Long condition3_field1) {
        this.condition3_field1 = condition3_field1;
    }

    public Long getCondition3_field_type1() {
        return condition3_field_type1;
    }

    public void setCondition3_field_type1(Long condition3_field_type1) {
        this.condition3_field_type1 = condition3_field_type1;
    }

    public Long getCondition3_field2() {
        return condition3_field2;
    }

    public void setCondition3_field2(Long condition3_field2) {
        this.condition3_field2 = condition3_field2;
    }

    public Long getCondition3_field_type2() {
        return condition3_field_type2;
    }

    public void setCondition3_field_type2(Long condition3_field_type2) {
        this.condition3_field_type2 = condition3_field_type2;
    }

    public Long getCondition3_field3() {
        return condition3_field3;
    }

    public void setCondition3_field3(Long condition3_field3) {
        this.condition3_field3 = condition3_field3;
    }

    public Long getCondition3_field4() {
        return condition3_field4;
    }

    public void setCondition3_field4(Long condition3_field4) {
        this.condition3_field4 = condition3_field4;
    }

    private List<TStrategyTarget> strategyTargets;

    public List<TStrategyTarget> getStrategyTargets() {
        return strategyTargets;
    }

    public void setStrategyTargets(List<TStrategyTarget> strategyTargets) {
        this.strategyTargets = strategyTargets;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }
    public void setConditionParams(String conditionParams)
    {
        this.conditionParams = conditionParams;
    }

    public String getConditionParams()
    {
        return conditionParams;
    }
    public void setConditionType(Long conditionType)
    {
        this.conditionType = conditionType;
    }

    public Long getConditionType()
    {
        return conditionType;
    }
    public void setTargetCondition(String targetCondition)
    {
        this.targetCondition = targetCondition;
    }

    public String getTargetCondition()
    {
        return targetCondition;
    }
    public void setConditionParams2(String conditionParams2)
    {
        this.conditionParams2 = conditionParams2;
    }

    public String getConditionParams2()
    {
        return conditionParams2;
    }
    public void setConditionType2(Long conditionType2)
    {
        this.conditionType2 = conditionType2;
    }

    public Long getConditionType2()
    {
        return conditionType2;
    }
    public void setTargetCondition2(String targetCondition2)
    {
        this.targetCondition2 = targetCondition2;
    }

    public String getTargetCondition2()
    {
        return targetCondition2;
    }
    public void setConditionParams3(String conditionParams3)
    {
        this.conditionParams3 = conditionParams3;
    }

    public String getConditionParams3()
    {
        return conditionParams3;
    }
    public void setConditionType3(Long conditionType3)
    {
        this.conditionType3 = conditionType3;
    }

    public Long getConditionType3()
    {
        return conditionType3;
    }
    public void setTargetCondition3(String targetCondition3)
    {
        this.targetCondition3 = targetCondition3;
    }

    public String getTargetCondition3()
    {
        return targetCondition3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("strategyId", getStrategyId())
            .append("conditionParams", getConditionParams())
            .append("conditionType", getConditionType())
            .append("targetCondition", getTargetCondition())
            .append("conditionParams2", getConditionParams2())
            .append("conditionType2", getConditionType2())
            .append("targetCondition2", getTargetCondition2())
            .append("conditionParams3", getConditionParams3())
            .append("conditionType3", getConditionType3())
            .append("targetCondition3", getTargetCondition3())
            .toString();
    }
}
